﻿@model Domain.Entities.Lesson

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="container-fluid">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active">Courses</li>
    </ol>
    <div class="media align-items-center">
        <h1 class="page-heading h2">Add Lesson</h1>  
    </div>
    <div class="card card-box">
        <div class="card-body">
            <form action="#">
                <div class="form-group row">
                    <label for="avatar" class="col-sm-3 form-control-label">Preview</label>
                    <div class="col-sm-9">
                        <div class="media">
                            <div class="media-left">
                                <img src="assets/images/cour.png" alt="" width="100" class="rounded">
                            </div>
                            <div class="media-body media-middle">
                                <label class="custom-file m-0">
                                    <input type="file" id="file">
                                    <span class="custom-file-control"></span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    @Html.LabelFor(model => model.Titre, htmlAttributes: new { @class = "form-control-label col-md-3" })
             
                    <div class="col-md-6">
                        @Html.EditorFor(model => model.Titre, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Titre, "", new { @class = "text-danger" })
                  
                      
                    </div>
                </div>
                <div class="form-group row">
                    @Html.LabelFor(model => model.URIImage, htmlAttributes: new { @class = "form-control-label col-md-3" })
            
                    <div class="col-md-9">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    @Html.EditorFor(model => model.URIImage, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.URIImage, "", new { @class = "text-danger" })
                            
                                    <small class="help-block text-muted-light"><i class="material-icons md-18">ondemand_video</i> <span class="icon-text">Paste Image </span></small>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="form-group row">
                    @Html.LabelFor(model => model.URIVideo, htmlAttributes: new { @class = "form-control-label col-md-3" })
                   
                    <div class="col-md-9">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    
                                    @Html.EditorFor(model => model.URIVideo, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.URIVideo, "", new { @class = "text-danger" })
                    
                                    <small class="help-block text-muted-light"><i class="material-icons md-18">ondemand_video</i> <span class="icon-text">Paste Video</span></small>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="embed-responsive embed-responsive-16by9">
                                        <iframe class="embed-responsive-item" src="https://vimeo.com/channels/staffpicks/215880646?title=0&amp;byline=0&amp;portrait=0" allowfullscreen=""></iframe>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="offset-md-3 col-md-9">
                        <input type="submit" value="Create" class="btn btn-success" />
                        <a href="@Url.Action("/Index", "Lesson" )" class="btn btn-default">Cancel</a>
                    </div>
                </div>
            </form>
        </div>
        
    </div>
</div>

}

<div>
   
</div>
